Subject: RE: cvs pserver authentication frustration
From: "Geoff Soutter" <[email-masked]>
To: "'Charles Wilson'" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 11 Dec 2001 09:13:36 +1100

Hi Charles

Thanks for taking the time to reply. Much appreciated.

> I believe that cvs in pserver server mode will have problems with
> switching user context; I have added no windows-specific code
> to enable
> seteuid() to work, so I wouldn't be surprised if it doesn't work.
> Patches gratefully accepted.

Guessed as much.

Sorry, patches are beyond me at the moment. It's years since I wrote any
C...

> Or, you could get sshd working, and use CVS_RSH=ssh on the remote
> machine...and then *cvs* would be run as a local process on the
> repository host; ssh would handle the network stuff.

Yes, thanks for the suggestion, I'm going to try this. At least I remember
how inetd works now...

Cheers,

Geoff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/